be.fgov.ehealth.standards.kmehr.cd.v1

## Enum CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues

- java.lang.Object
- - java.lang.Enum<CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues>
  - - be.fgov.ehealth.standards.kmehr.cd.v1.CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues>

      public enum CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues
      extends Enum<CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues>

  Java class for CD-EBIRTH-ARTIFICIALRESPIRATIONTYPEvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-EBIRTH-ARTIFICIALRESPIRATIONTYPEvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="intubation"/>
           <enumeration value="balloon-mask"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BALLOON_MASK`
    `INTUBATION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTUBATION

          public static final CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues INTUBATION

    - #### BALLOON_MASK

          public static final CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues BALLOON_MASK

  - ### Method Detail

    - #### values

          public static CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues c : CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDEBIRTHARTIFICIALRESPIRATIONTYPEvalues fromValue(String v)

Connector Package PERSMIDWIFE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.